POST
/v1/mgmt/outbound/app/create

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id?string
name?string
description?string
clientId?string

string templateId = 4 [(validate).string = {std_len: true , optional: true}]; - will always be custom

clientSecret?string
logo?string
discoveryUrl?string
authorizationUrl?string
authorizationUrlParams?array<URLParam>
tokenUrl?string
tokenUrlParams?array<URLParam>
revocationUrl?string
defaultScopes?array<string>
string
defaultRedirectUrl?string
callbackDomain?string
pkce?boolean
accessType?string
prompt?array<string>
string
appType?string
useDcr?boolean
dcrUrl?string
tenantId?string
tokenEndpointAuthMethod?string

Token endpoint client authentication method. Empty or "client_secret" sends clientSecret as the client secret; "private_key_jwt" signs an RFC 7523 client assertion with the project signing key published in the project JWKS.

tokenEndpointAuthSigningAlg?string

Client assertion signing algorithm used with private_key_jwt. Empty means RS256.

useNonce?boolean

Send a nonce on the authorization request and require the token response to carry an id_token with the same nonce.

Create outbound application

This endpoint allows you to create a new outbound application.

curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/create" \  -H "Content-Type: application/json" \  -d '{}'
{  "app": {    "id": "string",    "name": "string",    "description": "string",    "clientId": "string",    "logo": "string",    "discoveryUrl": "string",    "authorizationUrl": "string",    "authorizationUrlParams": [      {        "key": "string",        "value": "string"      }    ],    "tokenUrl": "string",    "tokenUrlParams": [      {        "key": "string",        "value": "string"      }    ],    "revocationUrl": "string",    "defaultScopes": [      "string"    ],    "defaultRedirectUrl": "string",    "callbackDomain": "string",    "pkce": true,    "accessType": "string",    "prompt": [      "string"    ],    "clientSecret": "string",    "appType": "string",    "useDcr": true,    "dcrUrl": "string",    "tenantId": "string",    "tokenEndpointAuthMethod": "string",    "tokenEndpointAuthSigningAlg": "string",    "useNonce": true  }}
export interface Response {app?: {id?: stringname?: stringdescription?: stringclientId?: stringlogo?: stringdiscoveryUrl?: stringauthorizationUrl?: stringauthorizationUrlParams?: {key?: stringvalue?: string}[]tokenUrl?: stringtokenUrlParams?: {key?: stringvalue?: string}[]revocationUrl?: stringdefaultScopes?: string[]defaultRedirectUrl?: stringcallbackDomain?: stringpkce?: booleanaccessType?: stringprompt?: string[]clientSecret?: stringappType?: stringuseDcr?: booleandcrUrl?: stringtenantId?: string/** * Token endpoint client authentication method. Empty or "client_secret" sends clientSecret as the client secret; "private_key_jwt" signs an RFC 7523 client assertion with the project signing key published in the project JWKS. Omitted on update keeps the stored value. */tokenEndpointAuthMethod?: string/** * Client assertion signing algorithm used with private_key_jwt. Empty means RS256. Ignored unless tokenEndpointAuthMethod is private_key_jwt. Omitted on update keeps the stored value. */tokenEndpointAuthSigningAlg?: string/** * Send a nonce on the authorization request and require the token response to carry an id_token with the same nonce. Omitted on update keeps the stored value. */useNonce?: boolean}}
Was this helpful?